Bug 1969900 - Test files should not use deprecated APIs that will trigger APIRemovedInNextReleaseInUse
Summary: Test files should not use deprecated APIs that will trigger APIRemovedInNextR...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Jakub Hadvig
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-09 12:36 UTC by Xingxing Xia
Modified: 2021-07-27 23:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:12:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9131 0 None open Bug 1969900: Move testing CRDs from v1beta1 to v1 2021-06-09 13:02:10 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:12:41 UTC

Description Xingxing Xia 2021-06-09 12:36:19 UTC
Description of problem:
Any places should not use deprecated APIs that will trigger APIRemovedInNextReleaseInUse alert. Otherwise:
[1] If the places are product components, we need file bug on the related Component and link it under 1947719 "Depends On" field;
[2] If the places are only testing files, the testing files should update.

For https://github.com/openshift/console/pull/9131 , it replaced v1beta1 with v1 for below:
elasticsearches.logging.openshift.io
jaegers.jaegertracing.io
const testCRD

But I checked latest 4.8 env [3] that has deployed logging and elasticsearches.logging.openshift.io, I did not see elasticsearch is accessed via deprecated v1beta1 CRD. This means elasticsearch itself is good. I guess jaegers.jaegertracing.io is same (I don't know how to deploy jaegers.jaegertracing.io to have a test).

[3] I checked it using the bug 1947797#c7 steps which can see all accesses to deprecated APIs.

Given above test result, and considering https://github.com/openshift/console/pull/9131 is only about testing files, this PR fix is a kind of above [2], not really a component defect, or 3rd party workload defect (like tracked via bug 1958296 / bug 1966508). But per Slack conversation with Jakub Hadvig, that PR needs a valid bug in its title to make PR robot happy, so opening this bug just for it.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Yadan Pei 2021-06-11 03:50:34 UTC
the test resources are now updated to use latest v1 version of CRD

Moving to Verified

Comment 5 errata-xmlrpc 2021-07-27 23:12:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.